Package org.opensaml.saml.metadata.resolver.impl

# Class AbstractBatchMetadataResolver.BatchEntityBackingStore

java.lang.Object
org.opensaml.saml.metadata.resolver.impl.AbstractMetadataResolver.EntityBackingStore
org.opensaml.saml.metadata.resolver.impl.AbstractBatchMetadataResolver.BatchEntityBackingStore

Enclosing class:
  AbstractBatchMetadataResolver

protected class AbstractBatchMetadataResolver.BatchEntityBackingStore extends AbstractMetadataResolver.EntityBackingStore
Specialized entity backing store implementation for batch metadata resolvers.

Adds the following to parent impl:

1. capable of storing the original metadata document on which the backing store is based
2. stores data for any secondary indexes defined

## Field Summary

Fields
Modifier and Type
Field
Description
`private XMLObject`
`cachedFilteredMetadata`
The cached original source metadata document.
`private XMLObject`
`cachedOriginalMetadata`
The cached original source metadata document.
`private final MetadataIndexManager<EntityDescriptor>`
`secondaryIndexManager`
Manager for secondary indexes.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`BatchEntityBackingStore(Set<MetadataIndex> initIndexes)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`XMLObject`
`ensureCachedOriginalMetadata()`
Get the cached original source metadata, raising an `IllegalStateException` if null.
`XMLObject`
`getCachedFilteredMetadata()`
Get the cached filtered source metadata.
`XMLObject`
`getCachedOriginalMetadata()`
Get the cached original source metadata.
`MetadataIndexManager<EntityDescriptor>`
`getSecondaryIndexManager()`
Get the secondary index manager.
`void`
`setCachedFilteredMetadata(XMLObject metadata)`
Set the cached filtered source metadata.
`void`
`setCachedOriginalMetadata(XMLObject metadata)`
Set the cached original source metadata.

### Methods inherited from class org.opensaml.saml.metadata.resolver.impl.AbstractMetadataResolver.EntityBackingStore

`getIndexedDescriptors, getOrderedDescriptors`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### cachedOriginalMetadata

@Nullable private XMLObject cachedOriginalMetadata
The cached original source metadata document.

### cachedFilteredMetadata

@Nullable private XMLObject cachedFilteredMetadata
The cached original source metadata document.

### secondaryIndexManager

@Nonnull private final MetadataIndexManager<EntityDescriptor> secondaryIndexManager
Manager for secondary indexes.

## Constructor Details

### BatchEntityBackingStore

protected BatchEntityBackingStore(@Nullable Set<MetadataIndex> initIndexes)
Constructor.

Parameters:
  `initIndexes` - secondary indexes for which to initialize storage

## Method Details

### getCachedOriginalMetadata

@Nullable public XMLObject getCachedOriginalMetadata()
Get the cached original source metadata.

Returns:
  the cached metadata

### ensureCachedOriginalMetadata

@Nonnull public XMLObject ensureCachedOriginalMetadata()
Get the cached original source metadata, raising an `IllegalStateException` if null.

Returns:
  the cached metadata
Since:
  5.0.0

### setCachedOriginalMetadata

public void setCachedOriginalMetadata(@Nullable XMLObject metadata)
Set the cached original source metadata.

Parameters:
  `metadata` - The new cached metadata

### getCachedFilteredMetadata

@Nullable public XMLObject getCachedFilteredMetadata()
Get the cached filtered source metadata.

Returns:
  the cached metadata

### setCachedFilteredMetadata

public void setCachedFilteredMetadata(@Nullable XMLObject metadata)
Set the cached filtered source metadata.

Parameters:
  `metadata` - The new cached metadata

### getSecondaryIndexManager

@Nonnull public MetadataIndexManager<EntityDescriptor> getSecondaryIndexManager()
Get the secondary index manager.

Returns:
  the manager for secondary indexes